Skip to main content
`Ctrl`+`K`

# MatMkl_CPardisoSetCntl

Set MKL Cluster PARDISO parameters https://www.intel.com/content/www/us/en/docs/onemkl/developer-reference-c/2023-2/onemkl-pardiso-parallel-direct-sparse-solver-iface.html

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMkl_CPardisoSetCntl(Mat F, PetscInt icntl, PetscInt ival)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

- icntl - index of MKL Cluster PARDISO parameter

- ival - value of MKL Cluster PARDISO parameter

## Options Database Key

- -mat_mkl_cpardiso_<icntl> <ival> - set the option numbered icntl to ival

## Note

This routine cannot be used if you are solving the linear system with `TS`, `SNES`, or `KSP`, only if you directly call `MatGetFactor()` so use the options database approach when working with `TS`, `SNES`, or `KSP`. See `MATSOLVERMKL_CPARDISO` for the options

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MATMPIAIJ`, `MATSOLVERMKL_CPARDISO`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/mkl_cpardiso/mkl_cpardiso.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages